<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
	xmlns:composite="http://xmlns.jcp.org/jsf/composite" xmlns:p="http://primefaces.org/ui">
	<composite:interface>
		<composite:attribute name="id" required="false" default="" type="java.lang.String" />
		<composite:attribute name="value" required="false" default="" type="java.lang.String" />
		<composite:attribute name="iconAwesome" required="true" type="java.lang.String" />
		<composite:attribute name="onclick" required="false" default="" type="java.lang.String" />
		<composite:attribute name="style" required="false" default="background-color: silver; border-color: darkgray; width: 36px; height: 36px" type="java.lang.String" />
	</composite:interface>
	<composite:implementation>
		<p:button id="#{cc.attrs.id}" value="" icon="fa fa-#{cc.attrs.iconAwesome}" onclick="#{cc.attrs.onclick}" style="#{cc.attrs.style}">
			<composite:insertChildren />
		</p:button>
	</composite:implementation>
</ui:composition>